NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
[resolved] Error decoding files...


Joined: 19 Mar 2007
Posts: 53
Reply with quote
Just bought nucoder and phpdock but after encoding a file Iand running it I get:

Fatal error: Failed to decode file "C:\Documents and Settings\dan\Desktop\docker\web\index.php", update loader to version (2.0), visit http://www.nusphere.com/ in Unknown on line 0

Any ideas?
View user's profileFind all posts by danielwinterSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7861
Reply with quote
There is no such error messages like "failed to decode" in the NuCoder/PhpExpress products. They do not decode anything because it's even not possible to decode. It may fail to load the encoded file and/or fail to run it. From the other part of the message that you probably replicated 1:1, it asked you to update the loader (phpexpress) to version 2.0. It may make sense if you have files encoded with NuCoder 2.0. Such files can not be loaded by PhpExpress released prior to 2.0. Although, I have to note that backward compatibility is provided and you can use PhpExpress 2.0 to load any encoded files up to version 2.0. For example, if you have files encoded with NuCoder 1.4, they will work fine under PhpExpress 2.0.
I'd recommend you to run phpinfo and check phpexpress version. If it is 1.4 or 1.3, you need to update to version 2.0.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Resolved MY FOOT! Here's a Step by step....


Joined: 19 Mar 2007
Posts: 53
Reply with quote
1. create new worksapce
2. create new project
3. create new file index.php:
Code:
<?php
phpinfo();
?>

4. Encode project in PhpEd
5. Windows Error: AppName: nu-coder.exe AppVer: 2.0.0.2019 ModName: nu-coder.exe ModVer: 2.0.0.2019 Offset: 00002f1f
6. Encode manually with command line:

Code:
C:\xampp\htdocs\dock>"C:\Program Files\nusphere\nucoder\nu-coder.exe" -f index.p
hp index2.php
+index.php
1 files encoded, 0 files copied, 0 errors, 0:01 elapsed


7. rename index.php to index.old.php
8. rename index2.php to index.php
9. copy index.php to C:\Program Files\nusphere\phpdock\web (overwrite calculator index.php)
10. Run php dock
11. Get error:
Code:

Fatal error: Failed to decode file "C:\Program Files\nusphere\phpdock\web\index.php", update loader to version (2.0), visit http://www.nusphere.com/ in Unknown on line 0


That is the simplest test I can think of and it fails awefully!
You want screenshots? Hell, I'll record the whole process for you as it takes 5 minutes!!!!
Like so many others, I LOVE PhpEd but nucoder and php dock are way too beta for retail....
Evil or Very Mad
View user's profileFind all posts by danielwinterSend private message


Joined: 02 Jan 2008
Posts: 28
Location: Palmyra, NJ
Reply with quote
Have you done what dmitri suggested yet?

This error (my emphasis included):

Quote:
Fatal error: Failed to decode file "C:\Program Files\nusphere\phpdock\web\index.php", update loader to version (2.0), visit http://www.nusphere.com/ in Unknown on line 0


Seems to indicate that you have not.

I'll also add that when I first got notification of NuCoder 2.0 being out of beta (roughly the same time you first reported your error) PhpExpress 1.4 was still the dl option for that product. This has since been updated, and I can see PhpExpress 2.0 available.
View user's profileFind all posts by unarmedmanSend private messageVisit poster's website
Resolved...


Joined: 19 Mar 2007
Posts: 53
Reply with quote
Yes, ok so now I can get it to work by manually updating the dll. I guess I made the crazy assumption that The latest version of PhpDock would come with the latest version of NuCoder.

My lesson: Assume nothing. Manually configure everything. Try not to get too upset when things don't work the first (or second) time.

But it still doesn't explain why I get a windows error when I try to encode from PhpEd!!!
Rolling Eyes
View user's profileFind all posts by danielwinterSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7861
Reply with quote
Quote:
I made the crazy assumption that The latest version of PhpDock would come with the latest version of NuCoder.


Well, the products are released in different times. When the latest PhpDock was done, only version#1.4 of PhpExpress was available. Now, we are working on the update and it will be available in the next few days.

Thanks for your patience and very friendly posts that support our work more than anything else.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
[resolved] Error decoding files...
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic